%define module  Test-Parser
%define name    perl-%{module}
%define version 1.9
%define release %mkrel 3

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Base class for parsing log files from test runs, and displays in an XML syntax 
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Test/%{module}-%{version}.tar.gz

BuildRequires:  perl(XML::Simple)
BuildRequires:  perl(XML::Twig)


%description 
This module serves as a common base class for test log parsers. These tools are
intended to be able to parse output from a wide variety of tests - including
non-Perl tests.

The parsers also write the test data into the 'Test Result Publication
Interface' (TRPI) XML schema, developed by SpikeSource.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
%make test

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL README META.yml
%{perl_vendorlib}/Test
%{_mandir}/*/*
%{_bindir}/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.9-3.mga3
+ Revision: 373676
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.9-2.mga1
+ Revision: 31282
- mageia rebuild
- imported package perl-Test-Parser

